Bug 562378 (perl-PSGI) - Review Request: perl-PSGI - Perl Web Server Gateway Interface Specification
Summary: Review Request: perl-PSGI - Perl Web Server Gateway Interface Specification
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-PSGI
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/PSGI
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-06 10:00 UTC by Chris Weyl
Modified: 2012-02-17 15:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-04 05:51:14 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-02-06 10:00:08 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-PSGI.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-PSGI-1.03-1.fc11.src.rpm

Description:
This document specifies a standard interface between web servers and Perl web
applications or frameworks, to promote web application portability and reduce
the duplicated efforts by web application framework developers.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1966227

*rt-0.10_01

Comment 1 Emmanuel Seyman 2010-03-02 23:06:31 UTC
Spent last weekend reading up on Plack and PSGI and I'ld love to see it in Fedora. Taking.

Comment 2 Emmanuel Seyman 2010-03-02 23:30:16 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: dist-f14
http://koji.fedoraproject.org/koji/taskinfo?taskID=2026720
 [x] Rpmlint output:
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: CC-BY-SA
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
ce4d807a6af83b2b7f9b29395a984c74  PSGI-1.03.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [-] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: dist-f14
http://koji.fedoraproject.org/koji/taskinfo?taskID=2026720
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2026720
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
Output is:
No tests defined for PSGI extension.

APPROVED.

Comment 3 Chris Weyl 2010-03-03 06:49:57 UTC
(In reply to comment #1)
> Spent last weekend reading up on Plack and PSGI and I'ld love to see it in
> Fedora. Taking.    

Yeah -- there's been an amazing flurry of activity lately, and the initial results are looking quite good. :)  Thanks for the review!

Comment 4 Chris Weyl 2010-03-03 06:50:01 UTC
New Package CVS Request
=======================
Package Name: perl-PSGI
Short Description: Perl Web Server Gateway Interface Specification
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2010-03-04 00:28:27 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Chris Weyl 2010-03-04 05:51:14 UTC
Thanks for the review! :-)

Comment 7 Emmanuel Seyman 2012-02-17 15:14:01 UTC
Package Change Request
======================
Package Name: perl-PSGI
New Branches: el6
Owners: eseyman ktdreyer
InitialCC: perl-sig

Ken Dreyer contacted me for an el6 branch for this module.

Comment 8 Gwyn Ciesla 2012-02-17 15:28:57 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.